<?php
include_once 'baseInfo.php';

// اتصال به دیتابیس
$conn = new mysqli('localhost', $dbUserName, $dbPassword, $dbName);
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// تنظیم کدگذاری UTF-8
$conn->set_charset("utf8mb4");

$filePath = '../../import.sql';

// چک کردن اینکه آیا فایل وجود داره
if (!file_exists($filePath)) {
    die("The file import.sql does not exist.");
}

// خواندن محتوای فایل SQL
$sqlContent = file_get_contents($filePath);
if (!$sqlContent) {
    die("Failed to read the contents of import.sql.");
}

// اجرای دستورات SQL از فایل
// تقسیم محتوای فایل به دستورات SQL (مربوط به جدا کردن دستورهای SQL از هم با ";")
$queries = explode(";\n", $sqlContent);

foreach ($queries as $query) {
    $query = trim($query);
    if (empty($query)) continue; // رد کردن دستورات خالی

    // اجرای دستور SQL
    if ($conn->query($query) === TRUE) {
        echo "Query executed successfully!\n";
    } else {
        echo "Error executing query: $query\n" . $conn->error . "\n";
    }
}
$conn->query("
UPDATE planaccount 
JOIN settingplans ON planaccount.id = settingplans.id 
SET 
    planaccount.name = COALESCE(settingplans.name, planaccount.name),
    planaccount.price = CASE 
        WHEN settingplans.price != 0 THEN settingplans.price 
        ELSE planaccount.price 
    END
WHERE settingplans.type = 'account';

");
$conn->query("
UPDATE server_plans
JOIN settingplans ON server_plans.id = settingplans.id
SET 
    server_plans.title = COALESCE(settingplans.name, server_plans.title),
    server_plans.price = CASE 
        WHEN settingplans.price != 0 THEN settingplans.price 
        ELSE server_plans.price 
    END
WHERE settingplans.type = 'config';
");

?>
