-- -----------------------------
-- Drop table if exists `server_categories`
-- -----------------------------
DROP TABLE IF EXISTS `server_categories`;

-- -----------------------------
-- Table structure for `server_categories`
-- -----------------------------
CREATE TABLE IF NOT EXISTS `server_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `server_id` varchar(20) NOT NULL,
  `title` varchar(50) NOT NULL,
  `parent` int(11) NOT NULL DEFAULT 0,
  `step` int(11) NOT NULL,
  `active` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_persian_ci;

-- -----------------------------
-- Data for table `server_categories`
-- -----------------------------
INSERT INTO `server_categories` (`id`, `server_id`, `title`, `parent`, `step`, `active`) VALUES ('1', '0', 'یکماهه', '0', '4', '1');


-- -----------------------------
-- Drop table if exists `server_config`
-- -----------------------------
DROP TABLE IF EXISTS `server_config`;

-- -----------------------------
-- Table structure for `server_config`
-- -----------------------------
CREATE TABLE IF NOT EXISTS `server_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `panel_url` varchar(254) NOT NULL,
  `ip` text NOT NULL,
  `sni` varchar(254) NOT NULL,
  `header_type` enum('none','http') NOT NULL,
  `request_header` text NOT NULL,
  `response_header` text NOT NULL,
  `security` enum('xtls','tls','none') NOT NULL,
  `tlsSettings` text NOT NULL,
  `type` varchar(100) DEFAULT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `port_type` varchar(10) DEFAULT 'auto',
  `reality` varchar(10) DEFAULT 'false',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

-- -----------------------------
-- Data for table `server_config`
-- -----------------------------
INSERT INTO `server_config` (`id`, `panel_url`, `ip`, `sni`, `header_type`, `request_header`, `response_header`, `security`, `tlsSettings`, `type`, `username`, `password`, `port_type`, `reality`) VALUES ('1', 'http://d1.enzovpn.shop:2053', '', '', 'http', 'speedtest.net', '', 'none', '', 'sanaei', 'omid6315', 'Omid6018', 'auto', 'false');


-- -----------------------------
-- Drop table if exists `server_info`
-- -----------------------------
DROP TABLE IF EXISTS `server_info`;

-- -----------------------------
-- Table structure for `server_info`
-- -----------------------------
CREATE TABLE IF NOT EXISTS `server_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `ucount` varchar(20) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `remark` varchar(100) NOT NULL,
  `flag` varchar(100) NOT NULL,
  `active` int(11) NOT NULL DEFAULT 0,
  `state` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_persian_ci;

-- -----------------------------
-- Data for table `server_info`
-- -----------------------------
INSERT INTO `server_info` (`id`, `title`, `ucount`, `remark`, `flag`, `active`, `state`) VALUES ('1', 'سرور معمولی V2ray (همه اپراتورها)', '1000024', 'king1vpn', '♻️', '1', '1');


-- -----------------------------
-- Drop table if exists `server_info2`
-- -----------------------------
DROP TABLE IF EXISTS `server_info2`;

-- -----------------------------
-- Table structure for `server_info2`
-- -----------------------------
CREATE TABLE IF NOT EXISTS `server_info2` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `panel_url` varchar(254) NOT NULL,
  `panel_path` enum('xui','panel') NOT NULL DEFAULT 'xui',
  `ip` varchar(100) NOT NULL,
  `sni` varchar(254) NOT NULL,
  `path` varchar(100) NOT NULL DEFAULT '/',
  `allowinsecure` int(11) NOT NULL DEFAULT 0,
  `flow` enum('','xtls-rprx-vision','xtls-rprx-direct') NOT NULL DEFAULT '',
  `port` varchar(10) NOT NULL DEFAULT '0',
  `alpn` varchar(250) NOT NULL DEFAULT '',
  `fp` varchar(250) NOT NULL DEFAULT '',
  `header_type` enum('none','http') NOT NULL,
  `request_header` text NOT NULL,
  `response_header` text NOT NULL,
  `externalproxy` varchar(250) NOT NULL DEFAULT '[{"forceTls": "same","dest": "domain","port": 2053,"remark": "" }]',
  `security` enum('tls','reality','none') NOT NULL,
  `tlsSettings` text NOT NULL,
  `auth` varchar(250) NOT NULL DEFAULT 'user:pass',
  `cookie` text NOT NULL,
  `sublink` varchar(100) NOT NULL DEFAULT '',
  `vip` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

-- No data found in `server_info2`.


-- -----------------------------
-- Drop table if exists `planaccount`
-- -----------------------------
DROP TABLE IF EXISTS `planaccount`;

-- -----------------------------
-- Table structure for `planaccount`
-- -----------------------------
CREATE TABLE IF NOT EXISTS `planaccount` (
  `id` int(50) NOT NULL AUTO_INCREMENT,
  `name` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `volume` int(255) NOT NULL,
  `day` int(255) NOT NULL,
  `price` int(255) NOT NULL,
  `limit` int(255) NOT NULL,
  `priceagents` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

-- -----------------------------
-- Data for table `planaccount`
-- -----------------------------
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('1', '10 گیگ 30 روز 1 کاربر', '10', '30', '50000', '1', '20000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('2', '20 گیگ 30 روز 1 کاربر', '20', '30', '70000', '1', '30000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('3', '30 گیگ 30 روز 1 کاربر', '30', '30', '90000', '1', '40000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('4', '40 گیگ 30 روز 1 کاربر', '40', '30', '110000', '1', '50000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('5', '50 گیگ 30 روز 1 کاربر', '50', '30', '130000', '1', '60000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('6', 'نامحدود 30 روز 1 کاربر', '1024000', '30', '120000', '1', '70000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('7', 'نامحدود 30 روز 2 کاربر', '1024000', '30', '260000', '2', '120000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('8', 'نامحدود 60 روز 1 کاربر', '1024000', '60', '210000', '1', '120000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('9', 'نامحدود 60 روز 2 کاربر', '1024000', '60', '400000', '2', '220000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('10', 'نامحدود 90 روز 1 کاربر', '1024000', '90', '300000', '1', '190000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('11', 'نامحدود 90 روز 2 کاربر', '1024000', '90', '500000', '2', '350000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('12', '30 گیگ زمان نامحدود 1 کاربر', '30', '2000', '130000', '1', '60000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('13', '30 گیگ زمان نامحدود 2 کاربر', '30', '2000', '140000', '2', '65000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('14', '40 گیگ زمان نامحدود 1 کاربر', '40', '2000', '150000', '1', '70000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('15', '40 گیگ زمان نامحدود 2 کاربر', '40', '2000', '160000', '2', '75000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('16', '50 گیگ زمان نامحدود 1 کاربر', '50', '2000', '170000', '1', '80000');
INSERT INTO `planaccount` (`id`, `name`, `volume`, `day`, `price`, `limit`, `priceagents`) VALUES ('17', '50 گیگ زمان نامحدود 2 کاربر', '50', '2000', '180000', '2', '85000');


-- -----------------------------
-- Drop table if exists `server_plans`
-- -----------------------------
DROP TABLE IF EXISTS `server_plans`;

-- -----------------------------
-- Table structure for `server_plans`
-- -----------------------------
CREATE TABLE IF NOT EXISTS `server_plans` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fileid` varchar(250) NOT NULL,
  `catid` int(11) NOT NULL,
  `server_id` int(11) NOT NULL,
  `inbound_id` int(11) NOT NULL DEFAULT 0,
  `acount` bigint(20) NOT NULL,
  `limitip` int(11) NOT NULL DEFAULT 1,
  `title` varchar(150) NOT NULL,
  `protocol` varchar(100) NOT NULL,
  `days` float NOT NULL,
  `volume` float NOT NULL,
  `type` varchar(50) NOT NULL,
  `price` int(11) NOT NULL,
  `descr` text NOT NULL,
  `pic` varchar(100) NOT NULL,
  `active` int(11) NOT NULL DEFAULT 0,
  `step` int(11) NOT NULL,
  `date` varchar(50) NOT NULL,
  `rahgozar` int(11) DEFAULT 0,
  `dest` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
  `serverNames` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
  `spiderX` varchar(500) DEFAULT NULL,
  `flow` varchar(50) DEFAULT 'None',
  `custom_path` int(11) DEFAULT 1,
  `custom_port` int(11) NOT NULL DEFAULT 0,
  `custom_sni` varchar(500) DEFAULT NULL,
  `priceagents` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=10042 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_persian_ci;

-- -----------------------------
-- Data for table `server_plans`
-- -----------------------------
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('103', '', '1', '65', '1', '284', '0', '⚡️اشتراک 30 گیگ دو کاربره⚡️', 'vless', '30', '30', 'tcp', '60000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188075', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('101', '', '1', '65', '1', '572', '0', '⚡️اشتراک 10 گیگ تک کاربره⚡️', 'vless', '30', '10', 'tcp', '30000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726187313', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('102', '', '1', '65', '1', '23', '0', '⚡️اشتراک 20 گیگ دو کاربره⚡️', 'vless', '30', '20', 'tcp', '50000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)📶', '', '1', '10', '1726187626', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('105', '', '1', '65', '1', '685', '0', '⚡️اشتراک 50 گیگ دو کاربره⚡️', 'vless', '30', '50', 'tcp', '100000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188270', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('104', '', '1', '65', '1', '705', '0', '⚡️اشتراک 40 گیگ دو کاربره⚡️', 'vless', '30', '40', 'tcp', '80000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188157', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('10010', '', '1', '61', '1', '779', '0', '⚡️اشتراک 40 گیگ دو کاربره⚡️', 'vless', '30', '40', 'tcp', '80000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188157', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('10011', '', '1', '61', '1', '733', '0', '⚡️اشتراک 50 گیگ دو کاربره⚡️', 'vless', '30', '50', 'tcp', '100000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188270', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('10008', '', '1', '61', '1', '0', '0', '⚡️اشتراک 20 گیگ دو کاربره⚡️', 'vless', '30', '20', 'tcp', '50000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)📶', '', '1', '10', '1726187626', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('10007', '', '1', '61', '1', '330', '0', '⚡️اشتراک 10 گیگ تک کاربره⚡️', 'vless', '30', '10', 'tcp', '30000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726187313', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('10009', '', '1', '61', '1', '151', '0', '⚡️اشتراک 30 گیگ دو کاربره⚡️', 'vless', '30', '30', 'tcp', '60000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188075', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('1104', '', '1', '63', '1', '804', '0', '⚡️اشتراک 40 گیگ دو کاربره⚡️', 'vless', '30', '40', 'tcp', '80000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188157', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('1105', '', '1', '63', '1', '808', '0', '⚡️اشتراک 50 گیگ دو کاربره⚡️', 'vless', '30', '50', 'tcp', '100000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188270', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('1102', '', '1', '63', '1', '213', '0', '⚡️اشتراک 20 گیگ دو کاربره⚡️', 'vless', '30', '20', 'tcp', '50000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)📶', '', '1', '10', '1726187626', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('1101', '', '1', '63', '1', '657', '0', '⚡️اشتراک 10 گیگ تک کاربره⚡️', 'vless', '30', '10', 'tcp', '30000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726187313', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('1103', '', '1', '63', '1', '532', '0', '⚡️اشتراک 30 گیگ دو کاربره⚡️', 'vless', '30', '30', 'tcp', '60000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188075', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('1024', '', '1', '64', '1', '855', '0', '⚡️اشتراک 40 گیگ دو کاربره⚡️', 'vless', '30', '40', 'tcp', '80000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188157', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('1025', '', '1', '64', '1', '796', '0', '⚡️اشتراک 50 گیگ دو کاربره⚡️', 'vless', '30', '50', 'tcp', '100000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188270', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('1022', '', '1', '64', '1', '279', '0', '⚡️اشتراک 20 گیگ دو کاربره⚡️', 'vless', '30', '20', 'tcp', '50000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)📶', '', '1', '10', '1726187626', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('1021', '', '1', '64', '1', '707', '0', '⚡️اشتراک 10 گیگ تک کاربره⚡️', 'vless', '30', '10', 'tcp', '30000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726187313', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('1023', '', '1', '64', '1', '512', '0', '⚡️اشتراک 30 گیگ دو کاربره⚡️', 'vless', '30', '30', 'tcp', '60000', 'پر سرعت و یک ماهه با بهترین سرعت مخصوص تمامی نت ها از جمله ( ایرانسل،همراه اول،رایتل،شاتل،وای فای و....)', '', '1', '10', '1726188075', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '500');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('10036', '', '1', '1', '1', '9932', '99999', '20 گیگ 👈 30 روز', 'vless', '30', '20', 'tcp', '70000', '.', '', '1', '10', '1743253499', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '35000');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('10037', '', '1', '1', '1', '9952', '99999', '30 گیگ 👈 30 روزه', 'vless', '30', '30', 'tcp', '90000', '.', '', '1', '10', '1743283311', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '45000');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('10038', '', '1', '1', '1', '9988', '99999', '40 گیگ 👈 30 روزه', 'vless', '30', '40', 'tcp', '110000', '.', '', '1', '10', '1743283433', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '55000');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('10039', '', '1', '1', '1', '9989', '99999', '50 گیگ 👈 30 روزه', 'vless', '30', '50', 'tcp', '130000', '.', '', '1', '10', '1743283487', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '65000');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('10040', '', '1', '1', '1', '9996', '99999', '60 گیگ 👈 30 روزه', 'vless', '30', '60', 'tcp', '150000', '.', '', '1', '10', '1743283545', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '75000');
INSERT INTO `server_plans` (`id`, `fileid`, `catid`, `server_id`, `inbound_id`, `acount`, `limitip`, `title`, `protocol`, `days`, `volume`, `type`, `price`, `descr`, `pic`, `active`, `step`, `date`, `rahgozar`, `dest`, `serverNames`, `spiderX`, `flow`, `custom_path`, `custom_port`, `custom_sni`, `priceagents`) VALUES ('10041', '', '1', '1', '1', '9994', '99999', '100 گیگ 👈 30 روزه', 'vless', '30', '100', 'tcp', '200000', '.', '', '1', '10', '1743283589', '0', NULL, NULL, NULL, 'None', '1', '0', NULL, '100000');


